using GLib;
using Gtk;

using NDCCore;

namespace NDCGUI {

    public class NDCApplication : Gtk.Application {
        private Builder builder;
        
        private Gtk.Window ndc_window;
        
        public NDCApplication () {
            Object(
                application_id: "cu.nova.development-center",
                flags: ApplicationFlags.FLAGS_NONE
            );
            
            builder = new Builder();
            builder.add_from_file("data/ndc.ui");
            
            ndc_window = builder.get_object("ndc_window") as Gtk.Window;
        }
        
        public override void activate() {
            
            ndc_window.show_all();
            this.add_window(ndc_window);
        }
    }
    
}
